%{!?perl_version: %define perl_version %(eval "`%{__perl} -V:version`"; echo $version)}
%{!?perl_vendorlib: %define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)}
%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}

%define modn   Tk
%define modv   804.028


Summary:       Writing Tk applications in Perl
Name:          perl-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       GPL+ or Artistic
Group:         Development/Libraries
Source0:       http://search.cpan.org/CPAN/authors/id/S/SR/SREZIC/%{modn}-%{modv}.tar.gz
URL:           http://search.cpan.org/dist/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Slaven Rezic <slaven@rezic.de>
Provides:      perl(Tie::Watch) = 1.2
Provides:      perl(Tk) = %{modv}
Provides:      perl(Tk::LabRadio) = 4.004
Requires:      perl(:MODULE_COMPAT_%{perl_version})
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test)
BuildRequires: fontconfig-devel libjpeg-devel
BuildRequires: libpng-devel zlib-devel libX11-devel
BuildRequires: libXft-devel


%description
The Perl/Tk module is a re-port of a Perl interface to Tk8.4.


%prep
%setup -q -n %{modn}-%{modv}

# Fix path to Perl
for FILE in `find . -type f -exec fgrep -l "/bin/perl" {} \;`; do
  %{__perl} -i -pe 's+(/.*)?/bin/perl+%{__perl}+g' ${FILE}
done


%build
%{__perl} \
	Makefile.PL XFT=1    \
	INSTALLDIRS="vendor" \
	OPTIMIZE="${RPM_OPT_FLAGS}"

%{__make} %{?_smp_mflags}


%check
[ -n "${DISPLAY}" ] && %{__make} test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	PERL_INSTALL_ROOT=${RPM_BUILD_ROOT} \
	pure_install

find ${RPM_BUILD_ROOT} -type f -name ".packlist"       -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -type f -name "*.bs" -a -size 0 -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -depth  -empty -type d          -exec rmdir      {} \;

%{__rm} ${RPM_BUILD_ROOT}%{perl_vendorarch}/fix_4_os2.pl
%{__rm} ${RPM_BUILD_ROOT}%{perl_vendorarch}/%{modn}/reindex.pl

%{__chmod} -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc COPYING Changes INSTALL README README.linux
%doc ToDo VERSIONS
%{_bindir}/gedi
%{_bindir}/ptked
%{_bindir}/ptksh
%{_bindir}/tkjpeg
%{_bindir}/widget
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Tie
%{perl_vendorarch}/%{modn}.pm
%{perl_vendorarch}/%{modn}.pod
%{perl_vendorarch}/%{modn}
%{_mandir}/man1/*.1*
%{_mandir}/man3/*.3*


%changelog
* Thu May 22 2008 Peter Pramberger <peterpramb@member.fsf.org> - 804.028-1
- Initial build
